### Name: tuneR
### Title: tuneR
### Aliases: tuneR
### Keywords: documentation

### ** Examples

## Not run: 
##D # library(tuneR) # in a regular session, we are loading tuneR
##D   
##D # constructing a mono Wave object (2 sec.) containing sinus 
##D # sound with 440Hz and folled by 220Hz:
##D x <- seq(0, 2*pi, length = 44100)
##D channel <- round(32000 * c(sin(440 * x), sin(220 * x)))
##D Wobj <- Wave(left = channel)
##D show(Wobj)
##D plot(Wobj) # it does not make sense to plot the whole stuff
##D plot(extractWave(Wobj, from = 1, to = 500))
##D play(Wobj) # listen to the sound
##D 
##D # write the Wave object into a Wave file (can be played with any player):
##D writeWave(Wobj, "testfile.wav")
##D # reading it in again:
##D Wobj2 <- readWave("testfile.wav")
##D identical(Wobj2, Wobj) # it is still the same 
##D 
##D Wobjm <- mono(Wobj, "left") # extract the left channel
##D # and downsample to 11025 samples/sec.:
##D Wobjm11 <- downsample(Wobjm, 11025)
##D # extract a part of the signal interactively (click for left/right limits):
##D Wobjm11s <- extractWave(Wobjm11)
##D 
##D # calculating periodograms of sections each consisting of 1024 observations,
##D # overlapping by 512 observations:
##D WspecObject <- periodogram(Wobjm11s, normalize = TRUE, width = 1024, overlap = 512)
##D # Let's look at the first periodogram:
##D plot(WspecObject, xlim = c(0, 2000), which = 1)
##D # calculate the fundamental frequency:
##D ff <- FF(WspecObject)
##D print(ff)
##D # derive note from FF given diapason a'=440
##D notes <- noteFromFF(ff, 440)
##D # smooth the notes:
##D snotes <- smoother(notes)
##D # outcome should be 0 for diapason "a'" and -12 (12 halftones lower) for "a"
##D print(snotes) 
##D # plot melody and energy of the sound:
##D melodyplot(WspecObject, snotes)
## End(Not run)



